var pushWoosh = {
    init: function()
    {
        var pushNotification = window.plugins.pushNotification;

        //set push notifications handler
        document.addEventListener('push-notification', function(event) {
            console.log("New Push!");
            var notification = event.notification;
            var userData = event.notification.userdata;

            if(typeof(userData) != "undefined") {
                console.warn('user data: ' + JSON.stringify(userData));
            }

            popup.show("The Dealio", notification.title);
        });


        //initialize Pushwoosh with projectid: "GOOGLE_PROJECT_NUMBER", appid : "PUSHWOOSH_APP_ID". This will trigger all pending push notifications on start.
        pushNotification.onDeviceReady({ projectid: "852061274222", appid: "AB2BB-3C09C" });

        /* This one is Kevin's test PushWoosh app (USE ONLY FOR TESTING PURPOSES)
        pushNotification.onDeviceReady({ projectid: "1047648586611", appid: "874CF-BB057" });
        */
        
        
        
        //register for pushes
        pushNotification.registerDevice(
            function(status) {
                var pushToken = status;
                console.warn('push token: ' + pushToken);
            },
            function(status) {
                console.warn(JSON.stringify(['failed to register ', status]));
            }
        );
    },
    checkStatus: function() {
        var pushNotification = window.plugins.pushNotification;
        console.log(pushNotification.getRemoteNotificationStatus);
        return pushNotification;
    }
};